/*
 * spinc - Convert SPIN objects to C arrays. Based on the original program 
 *         by Steve Densen (original copyright below). 
 *
 *         Modified by Ross Higson for use with Catalina.
 *
 * Version 3.1 Added command line option processing.
 *             Added ability to generate byte array or long array.
 *             Added generation of #defines in header file.
 *             Added ability to generate whole SPIN program.
 *
 * ----------------------------------------------------------------------------
 * @file spinc.h
 * Defines data structures and API for spinc converter
 * Copyright (c) 2008, Steve Denson
 * ----------------------------------------------------------------------------
 */


#ifndef SPINC_H
#define SPINC_H

#define SPIN_OBJSTART 0x0010

#define VERSION       "3.1"

#define MAX_FILES     10
#define MAX_LINELEN   1000

typedef struct spinobj_struct {
    short nextobj;
    char  pubcnt;
    char  objcnt;
    short pubstart;
    short numlocal;
} SpinObj_st;

typedef struct spinhdr_struct {
    int     clkfreq;
    char    clkmode;
    char    sum;
    short   objstart;
    short   varstart;
    short   stkstart;
    short   pubstart;
    short   stkbase;
    char*   code;
} SpinHdr_st;

#endif
// SPINC_H

